Bug 522272 - New Package for Dogtag PKI: symkey
Summary: New Package for Dogtag PKI: symkey
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
low
medium
Target Milestone: ---
Assignee: Dennis Gilmore
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks: Dogtag-to-Fedora 522207
TreeView+ depends on / blocked
 
Reported: 2009-09-09 23:00 UTC by Kevin Wright
Modified: 2015-07-13 04:56 UTC (History)
9 users (show)

Fixed In Version: 1.3.0-4.el5
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2009-12-18 04:29:18 UTC
dennis: fedora-review+
dennis: fedora-cvs+


Attachments (Terms of Use)

Description Kevin Wright 2009-09-09 23:00:12 UTC
first pass at getting symkey into Fedora.

Comment 1 Kevin Wright 2009-09-10 18:51:12 UTC
Spec URL: http://people.redhat.com/kwright/symkey/symkey.spec  
SRPM URL: http://people.redhat.com/kwright/symkey/symkey-1.3.0-1.fc11.src.rpm
Description: 
The Symmetric Key Java Native Interface (JNI) package supplies various native
symmetric key operations to Java programs.

Comment 2 Kevin Wright 2009-09-15 00:10:18 UTC
rpmlint /home/mharmsen/PKI/DOGTAG/release/pki/base/symkey/dist/rpmpkg/RPMS/i586/symkey-1.3.0-1.fc11.i586.rpm
symkey.i586: E: invalid-soname /usr/lib/libsymkey.so libsymkey.so
1 packages and 0 specfiles checked; 1 errors, 0 warnings.

readelf -d /home/mharmsen/PKI/DOGTAG/release/pki/base/symkey/dist/rpmpkg/RPMS/i586/usr/lib/libsymkey.so | grep SONAME
0x0000000e (SONAME) Library soname:                                       [libsymkey.so]

We request a waiver for this since 'libsymkey.so' is the native
portion of a JNI library, and won't be used directly by any 'C'
program.

Comment 3 Kevin Wright 2009-10-24 02:30:49 UTC
updated spec file and src rpm:
Spec URL: http://people.redhat.com/kwright/symkey/symkey.spec  
SRPM URL: http://people.redhat.com/kwright/symkey/symkey-1.3.0-1.fc11.src.rpm

Comment 4 Kevin Wright 2009-10-29 00:39:58 UTC
From the changelog:
* Tue Oct 27 2009 Matthew Harmsen <mharmsen@redhat.com> 1.3.0-2
- Bugzilla Bug #522272 -  New Package for Dogtag PKI: symkey
- Complied with Fedora JNI packaging logic

updated spec file and src rpm:
Spec URL: http://people.redhat.com/kwright/symkey/symkey.spec  
SRPM URL: http://people.redhat.com/kwright/symkey/symkey-1.3.0-2.fc11.src.rpm

Comment 5 Kevin Wright 2009-10-30 23:47:45 UTC
From the changelog:
* Fri Oct 30 2009 Matthew Harmsen <mharmsen@redhat.com> 1.3.0-3
- Bugzilla Bug #522272 -  New Package for Dogtag PKI: symkey
- Removed LICENSE logic from installation section
- Take ownership of library directory

Updated spec file and src rpm:
Spec URL: http://people.redhat.com/kwright/symkey/symkey.spec  
SRPM URL: http://people.redhat.com/kwright/symkey/symkey-1.3.0-3.fc11.src.rpm

Comment 6 Dennis Gilmore 2009-11-20 19:50:52 UTC
upstream sources match 
sha256sum symkey-1.3.0.tar.gz fedora/SOURCES/symkey-1.3.0.tar.gz
7c0dd957b4318efbd35742a026c9f42213c0ef95bcc06fece9fe0b714c1a8c0d  symkey-1.3.0.tar.gz
7c0dd957b4318efbd35742a026c9f42213c0ef95bcc06fece9fe0b714c1a8c0d  fedora/SOURCES/symkey-1.3.0.tar.gz

rpmlint is clean 
spec is clear
meets naming and packaging guidelines


approved

Comment 7 Kevin Wright 2009-11-20 20:41:54 UTC
New Package CVS Request
=======================
Package Name: symkey
Short Description:  The Symmetric Key Java Native Interface (JNI) package supplies various native
symmetric key operations to Java programs. 
Owners: kwright
Branches: F-10 F-11, F-12, F-13
InitialCC: ausil

Comment 8 Kevin Wright 2009-11-20 21:31:48 UTC
changing the request for cvs branches:

New Package CVS Request
=======================
Package Name: symkey
Short Description:  The Symmetric Key Java Native Interface (JNI) package
supplies various native
symmetric key operations to Java programs. 
Owners: kwright
Branches: F-11, F-12
InitialCC: ausil

Comment 9 Kevin Wright 2009-11-20 21:32:26 UTC
Branches: F-11, F-12, EL-5

Comment 10 Dennis Gilmore 2009-11-20 21:34:03 UTC
CVS Done

Comment 11 Kevin Wright 2009-11-21 00:02:50 UTC
F11 koji build complete:

http://koji.fedoraproject.org/koji/buildinfo?buildID=142307

Comment 12 Fedora Update System 2009-11-21 00:10:54 UTC
symkey-1.3.0-4.fc11 has been submitted as an update for Fedora 11.
http://admin.fedoraproject.org/updates/symkey-1.3.0-4.fc11

Comment 13 Fedora Update System 2009-11-21 00:52:45 UTC
symkey-1.3.0-4.fc12 has been submitted as an update for Fedora 12.
http://admin.fedoraproject.org/updates/symkey-1.3.0-4.fc12

Comment 14 Fedora Update System 2009-11-23 18:46:57 UTC
symkey-1.3.0-4.el5 has been submitted as an update for Fedora EPEL 5.
http://admin.fedoraproject.org/updates/symkey-1.3.0-4.el5

Comment 15 Fedora Update System 2009-11-24 07:35:51 UTC
symkey-1.3.0-4.fc12 has been pushed to the Fedora 12 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update symkey'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/F12/FEDORA-2009-11900

Comment 16 Fedora Update System 2009-11-24 07:54:33 UTC
symkey-1.3.0-4.fc11 has been pushed to the Fedora 11 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update symkey'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/F11/FEDORA-2009-11988

Comment 17 Fedora Update System 2009-11-24 19:24:40 UTC
symkey-1.3.0-4.el5 has been pushed to the Fedora EPEL 5 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update symkey'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/EL-5/FEDORA-EPEL-2009-0902

Comment 18 Fedora Update System 2009-12-18 04:29:12 UTC
symkey-1.3.0-4.fc11 has been pushed to the Fedora 11 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 19 Fedora Update System 2009-12-27 20:29:31 UTC
symkey-1.3.0-4.fc12 has been pushed to the Fedora 12 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 20 Fedora Update System 2009-12-31 06:54:04 UTC
symkey-1.3.0-4.el5 has been pushed to the Fedora EPEL 5 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.